<xml> </xml>

db4o |

# ObjectClass.callConstructor Method

advises db4o to try instantiating objects of this class with/without calling constructors.

void callConstructor(
bool flag
);

#### Parameters

flag
  - specify true, to request calling constructors, specify false to request not calling constructors.

#### Remarks

advises db4o to try instantiating objects of this class with/without calling constructors.
Not all JDKs / .NET-environments support this feature. db4o will attempt, to follow the setting as good as the enviroment supports. In doing so, it may call implementation-specific features like sun.reflect.ReflectionFactory#newConstructorForSerialization on the Sun Java 1.4.x/5 VM (not available on other VMs) and FormatterServices.GetUninitializedObject() on the .NET framework (not available on CompactFramework).
This setting may also be set globally for all classes in callConstructors .

#### See Also

ObjectClass Interface | com.db4o.config Namespace | callConstructors